Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.render.afp
Enum AFPShadingMode

    java.lang.Object
      java.lang.Enum<AFPShadingMode>
          org.apache.fop.render.afp.AFPShadingMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AFPShadingMode>

    public enum AFPShadingMode

extends java.lang.Enum<AFPShadingMode>

Enumeration of the AFP shading modes.

Enum Constant Summary
`COLOR` the color mode (the default)
`DITHERED` the dithered mode

Method Summary
`java.lang.String` | `getName()`
`static AFPShadingMode` | `getValueOf(java.lang.String name)` Returns the enumeration/singleton object based on its name.
`java.lang.String` | `toString()`
`static AFPShadingMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AFPShadingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COLOR

    public static final AFPShadingMode COLOR

  the color mode (the default)

### DITHERED

    public static final AFPShadingMode DITHERED

  the dithered mode

Method Detail

### values

    public static AFPShadingMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AFPShadingMode c : AFPShadingMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AFPShadingMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getName

    public java.lang.String getName()

  Returns:
    the name of the enumeration

### getValueOf

    public static AFPShadingMode getValueOf(java.lang.String name)

  Returns the enumeration/singleton object based on its name.

  Parameters:
    `name` - the name of the enumeration value
  Returns:
    the enumeration object

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<AFPShadingMode>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.